# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure("2") do |config|
	config.vm.define "disroot_lan" do |disroot_lan|
	disroot_lan.vm.box="generic/debian9"
	disroot_lan.vm.hostname = 'disroot.lan'
	disroot_lan.vm.box_url = "generic/debian9"
        disroot_lan.vm.synced_folder "provision/", "/vagrant/provision/"

	disroot_lan.vm.network "forwarded_port", guest: 80, host: 8888, host_ip: "192.168.33.12"
	disroot_lan.vm.network "forwarded_port", guest: 443, host: 4443, host_ip: "192.168.33.12"
	disroot_lan.vm.network "private_network", ip: "192.168.33.12"

	disroot_lan.vm.provision :shell, path: "bootstrap.sh"
	disroot_lan.vm.synced_folder "../pages/", "/var/www/pages", owner: "www-data", group: "www-data"
  disroot_lan.vm.synced_folder "../../grav-theme-disroot", "/var/www/grav-theme-disroot", owner: "www-data", group: "www-data"
	disroot_lan.vm.synced_folder "../../grav-plugin-language-selector", "/var/www/grav-plugin-language-selector", owner: "www-data", group: "www-data"

end
end
